# Plus UI

Plus UI is a versatile UI library designed to seamlessly work with various JavaScript frameworks, including React, Vue, Angular, and others. It is powered by the Plus UI Design System, offering a collection of rich and functional components for designers and developers.

## Quick Links
- [GitHub Repository](https://github.com/plus-ui/core)
- [Documentation](https://docs.plusui.com/)
- [Figma Designs](https://www.figma.com/@plusui)
- [Discord Community](https://discord.gg/QhXfSnze)
- [Twitter](https://twitter.com/PlusUI_Official)

## Features
- ✔ Multi-framework support
- ✔ Powered by Plus UI Design System
- ✔ Rich and functional components
- ✔ Designer and developer-friendly
- ✔ Fully customizable and accessible
- ✔ Light package size
- ✔ Smart and easy to use
- ✔ Open-source

## Getting Started

### Installation
Clone the project and install dependencies:

```html
git clone https://github.com/plus-ui/core
cd core
npm install
```

### Usage
After installing dependencies, run the development server with:

```html
npm run dev
```

## Contributing
If you wish to contribute to Plus UI, start by forking the repository on GitHub. Clone the forked repo locally and install dependencies:

```html
git clone https://github.com/YOUR_GITHUB_USERNAME/core
cd core
npm install
```

### Development
Run the following command to start the development server:

```html
npm start
```

This will spin up the dev server, and a browser will open automatically.

### Building
To generate a production build, use the following command:

```html
npm run build
```

## Community and Support
For discussions, assistance, or to stay updated, join our community on [Discord](https://discord.gg/QhXfSnze) and follow us on [Twitter](https://twitter.com/PlusUI_Official).

Enjoy using Plus UI in your projects!
