import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

export declare class AlertComponent extends PlusBase {
    el: HTMLElement;
    kind: "outlined" | "filled" | "dashed";
    status: "success" | "warning" | "error" | "info" | "default";
    size: "sm" | "md" | "lg";
    invert: boolean;
    _prefixIcon: string;
    set prefixIcon(value: any);
    get prefixIcon(): any;
    message: string;
    description: string;
    dismiss: boolean;
    fullWidth: boolean;
    static styles: CSSResult[];
    render(): TemplateResult;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export { }
