import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

export declare class AvatarComponent extends PlusBase {
    image: string;
    alt: string;
    shape: "circle" | "square";
    size: SizeType | string;
    icon: string;
    invert: boolean;
    text?: string;
    isSizeLargeEnough(): boolean;
    getText(): string;
    customSize(): boolean;
    sizeValue(): any;
    isFallback: boolean;
    render(): TemplateResult;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

declare type SizeType = "sm" | "md" | "lg";

export { }
