import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

export declare class ButtonComponent extends PlusBase {
    static styles: CSSResult[];
    size: "sm" | "md" | "lg";
    kind: "filled" | "outlined" | "dashed" | "text";
    status: "default" | "primary" | "success" | "warning" | "error" | "info" | "invert";
    type: "button" | "submit" | "reset";
    href: string;
    target: "_blank" | "_parent" | "_self" | "_top";
    download?: string;
    rel: string;
    groupOrder: "first" | "middle" | "last";
    groupPosition: "vertical" | "horizontal";
    loading: boolean;
    prefixIcon: string;
    suffixIcon: string;
    fullWidth: boolean;
    hasFocus: boolean;
    private isLink;
    private handleBlur;
    private handleFocus;
    private handleClick;
    render(): TemplateResult;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export { }
