import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

export declare class CheckboxGroupComponent extends PlusBase {
    orientation: "horizontal" | "vertical";
    size: "sm" | "md" | "lg";
    label?: string;
    caption?: string;
    error: boolean;
    hasFocus: boolean;
    render(): TemplateResult;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export { }
