import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

export declare class CheckboxComponent extends PlusBase {
    static styles: CSSResult[];
    checkbox: HTMLInputElement;
    size: "sm" | "md" | "lg";
    text: string;
    checked: boolean;
    indeterminate: boolean;
    label?: string;
    caption?: string;
    error: boolean;
    hasFocus: boolean;
    private handleClick;
    private handleFocus;
    private handleBlur;
    private handleChange;
    render(): TemplateResult;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export { }
