import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

export declare class ChipComponent extends PlusBase {
    size: "sm" | "md" | "lg";
    kind: "filled" | "outlined";
    status: "success" | "warning" | "error" | "info" | "default";
    invert: boolean;
    prefixIcon: string;
    dismiss: boolean;
    onDismiss(): void;
    color: string;
    render(): TemplateResult<1>;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export { }
