import { P as v, x as d, n as t } from "./plus-base-e7996bf1.mjs";
import { e as p } from "./custom-element-eaccb8d2.mjs";
import { s as g } from "./index-975d3293.mjs";
const f = g({
  slots: {
    base: [
      "font-sans inline-flex items-center justify-center text-center whitespace-nowrap z-auto rounded-full border border-solid rounded-full bg-color-default text-color-default hover:bg-color-default-hover active:bg-color-default-pressed"
    ],
    dismissClass: ["flex items-center justify-center text-color-default cursor-pointer hover:text-color-caption"]
  },
  variants: {
    size: {
      sm: {
        base: "text-xs px-1.5 py-0.5 gap-1"
      },
      md: {
        base: "text-sm px-2 py-1 gap-2"
      },
      lg: {
        base: "text-base px-3 py-2 gap-2"
      }
    },
    kind: {
      filled: {
        base: "border-transparent"
      },
      outlined: {
        base: "bg-color-base"
      }
    },
    invert: {
      true: "bg-color-invert-default text-color-base hover:bg-color-invert-default-hover active:bg-color-invert-default-pressed",
      false: ""
    },
    status: {
      success: {
        base: "bg-color-success text-color-base hover:bg-color-success-hover active:bg-color-success-pressed"
      },
      warning: {
        base: "bg-color-warning text-color-base hover:bg-color-warning-hover active:bg-color-warning-pressed"
      },
      error: {
        base: "bg-color-error text-color-base hover:bg-color-error-hover active:bg-color-error-pressed"
      },
      info: {
        base: "bg-color-info text-color-base hover:bg-color-info-hover active:bg-color-info-pressed"
      },
      default: {
        base: ""
      }
    },
    disabled: {
      true: {
        base: "bg-color-disabled text-color-disabled cursor-not-allowed"
      }
    }
  },
  compoundVariants: [
    {
      invert: !0,
      status: "success",
      class: {
        base: ["bg-color-invert-success text-color-default hover:bg-color-invert-success-hover active:bg-color-invert-success-pressed"]
      }
    },
    {
      invert: !0,
      status: "info",
      class: {
        base: ["bg-color-invert-info text-color-default hover:bg-color-invert-info-hover active:bg-color-invert-info-pressed"]
      }
    },
    {
      invert: !0,
      status: "warning",
      class: {
        base: ["bg-color-invert-warning text-color-default hover:bg-color-invert-warning-hover active:bg-color-invert-warning-pressed"]
      }
    },
    {
      invert: !0,
      status: "error",
      class: {
        base: ["bg-color-invert-error text-color-default hover:bg-color-invert-error-hover active:bg-color-invert-error-pressed"]
      }
    },
    {
      kind: "outlined",
      class: {
        base: ["border border-solid bg-transparent"]
      }
    },
    {
      kind: "outlined",
      class: {
        base: ["border border-solid bg-transparent hover:bg-color-base-hover active:bg-color-base-pressed"]
      }
    },
    {
      kind: "outlined",
      status: "info",
      class: {
        base: ["text-color-primary border-color-primary"]
      }
    },
    {
      kind: "outlined",
      status: "success",
      class: {
        base: ["text-color-success border-color-success"]
      }
    },
    {
      kind: "outlined",
      status: "warning",
      class: {
        base: ["text-color-warning border-color-warning"]
      }
    },
    {
      kind: "outlined",
      status: "error",
      class: {
        base: ["text-color-error border-color-error"]
      }
    },
    {
      kind: "outlined",
      status: "default",
      class: {
        base: ["text-color-default border-color-default"]
      }
    },
    {
      disabled: !0,
      kind: "filled",
      class: {
        base: ["bg-color-disabled text-color-disabled cursor-not-allowed active:bg-color-disabled hover:bg-color-disabled"]
      }
    },
    {
      disabled: !0,
      kind: "outlined",
      class: {
        base: ["border-color-disabled text-color-disabled cursor-not-allowed hover:bg-color-base active:bg-color-base "]
      }
    }
  ],
  defaultVariants: {
    size: "md",
    status: "default",
    kind: "filled",
    disabled: !1,
    invert: !1
  }
});
var h = Object.defineProperty, x = Object.getOwnPropertyDescriptor, s = (o, l, c, a) => {
  for (var e = a > 1 ? void 0 : a ? x(l, c) : l, i = o.length - 1, n; i >= 0; i--)
    (n = o[i]) && (e = (a ? n(l, c, e) : n(e)) || e);
  return a && e && h(l, c, e), e;
};
let r = class extends v {
  constructor() {
    super(...arguments), this.size = "md", this.kind = "filled", this.status = "default", this.invert = !1, this.dismiss = !1;
  }
  onDismiss() {
    this.emit("plus-dismiss");
  }
  render() {
    const { size: o, disabled: l, status: c, kind: a, invert: e, prefixIcon: i, dismiss: n } = this, { base: b, dismissClass: u } = f({ size: o, kind: a, status: c, disabled: l, invert: e });
    return d`
      <div class=${b()}>
        ${i ? d`<i class="${i}"></i>` : ""}
        <slot></slot>
        ${n ? d`<div class=${u()} aria-label="Dismiss" role="button" tabindex="0" @click=${this.onDismiss}><i class="fa-solid fa-xmark"></i></div>` : ""}
      </div>
    `;
  }
};
s([
  t({ type: String })
], r.prototype, "size", 2);
s([
  t({ type: String })
], r.prototype, "kind", 2);
s([
  t({ type: String })
], r.prototype, "status", 2);
s([
  t({ type: Boolean, converter: (o) => o != "false" })
], r.prototype, "invert", 2);
s([
  t({ type: String, attribute: "prefix-icon" })
], r.prototype, "prefixIcon", 2);
s([
  t({ type: Boolean, converter: (o) => o != "false" })
], r.prototype, "dismiss", 2);
s([
  t({ type: String })
], r.prototype, "color", 2);
r = s([
  p("plus-chip")
], r);
export {
  r as ChipComponent
};
