import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

export declare class LinkComponent extends PlusBase {
    kind: "default" | "primary";
    href: string;
    target: "_blank" | "_parent" | "_self" | "_top";
    download?: string;
    rel: string;
    size: string;
    active: boolean;
    isBreadcrumb: boolean;
    truncated: boolean;
    prefixIcon: string;
    private handleClick;
    render(): TemplateResult;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export { }
