import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export declare class ProgressComponent extends PlusBase {
    size: "sm" | "md" | "lg";
    label?: string;
    caption?: string;
    error: boolean;
    status: "success" | "warning" | "error" | "info" | "default";
    statusIcon: boolean;
    maxValue: number;
    indeterminate: boolean;
    showPercent: boolean;
    showStep: boolean;
    static host: CSSResult;
    static styles: CSSResult[];
    render(): TemplateResult;
}

export { }
