import { i as L, P as f, r as A, n as r } from "./plus-base-e7996bf1.mjs";
import { e as V } from "./custom-element-eaccb8d2.mjs";
import { o as B } from "./style-map-80e6c561.mjs";
import { n as c } from "./static-4b1845cb.mjs";
import { l as _, c as z } from "./label.style-1b60b221.mjs";
import { s as I } from "./index-975d3293.mjs";
import "./directive-daf4e9b6.mjs";
const T = I({
  slots: {
    host: ["antialiased font-sans flex flex-col w-full font-medium text-default"],
    progress: ["w-full rounded-full bg-color-default transition-colors duration-400 ease-in-out progress relative"],
    progressLine: ["h-full rounded-full"],
    infoArea: ["flex flex-row items-center justify-center gap-2 font-medium"]
  },
  variants: {
    size: {
      sm: {
        host: ["text-xs gap-0.5"],
        progress: ["h-2"]
      },
      md: {
        host: ["text-sm gap-1"],
        progress: ["h-2.5"]
      },
      lg: {
        host: ["text-base gap-1.5"],
        progress: ["h-3"]
      }
    },
    status: {
      success: {
        progressLine: ["bg-color-success"],
        infoArea: ["text-color-success"]
      },
      warning: {
        progressLine: ["bg-color-warning"],
        infoArea: ["text-color-warning"]
      },
      error: {
        progressLine: ["bg-color-error"],
        infoArea: ["text-color-error"]
      },
      info: {
        progressLine: ["bg-color-info"],
        infoArea: ["text-color-info"]
      },
      default: {
        progressLine: ["bg-color-invert-default"],
        infoArea: ["text-color-default"]
      }
    },
    disabled: {
      true: ""
    },
    error: {
      true: ""
    },
    indeterminate: {
      true: {
        progress: ["overflow-hidden"],
        progressLine: ["!w-full animate-progress-indeterminate"]
      }
    }
  },
  compoundVariants: [
    {
      disabled: !0,
      class: {
        host: ["text-color-disabled cursor-not-allowed"],
        progress: ["bg-color-disabled"],
        progressLine: ["bg-color-disabled"],
        infoArea: ["text-color-disabled"]
      }
    }
  ],
  defaultVariants: {
    size: "md",
    status: "default",
    disabled: !1,
    error: !1,
    indeterminate: !1
  }
});
var j = Object.defineProperty, O = Object.getOwnPropertyDescriptor, s = (t, a, n, p) => {
  for (var o = p > 1 ? void 0 : p ? O(a, n) : a, l = t.length - 1, i; l >= 0; l--)
    (i = t[l]) && (o = (p ? i(a, n, o) : i(o)) || o);
  return p && o && j(a, n, o), o;
};
const u = {
  success: "fa-solid fa-circle-check",
  warning: "fa-solid fa-triangle-exclamation",
  error: "fa-solid fa-circle-xmark",
  info: "fa-solid fa-circle-info"
};
let e = class extends f {
  constructor() {
    super(...arguments), this.size = "md", this.error = !1, this.status = "default", this.statusIcon = !1, this.maxValue = 100, this.indeterminate = !1, this.showPercent = !0, this.showStep = !1;
  }
  render() {
    const { size: t, label: a, caption: n, required: p, error: o, status: l, disabled: i, indeterminate: d, showPercent: m, showStep: g } = this, { host: h, progress: b, progressLine: v, infoArea: y } = T({ size: t, status: l, disabled: i, indeterminate: d }), x = () => a ? c`<label class=${_({ required: p, size: t, disabled: i })} @click=${this.focus}>${a}</label>` : null, w = () => n ? c`<div class=${z({ error: o, size: t, disabled: i })}>${n}</div>` : null, $ = () => c`<span>${+this.value / +this.maxValue * 100}%</span>`, S = () => c`<span>${this.value} / ${this.maxValue}</span>`, P = () => c`<i class=${u[l]}></i>`;
    return c`
      <div class=${h()}>
        <div class="flex flex-row items-start justify-between">
          ${x()}
          <div class=${y()}>
            ${m ? $() : null} ${g ? S() : null} ${this.statusIcon && u[l] ? P() : null}
          </div>
        </div>
        <div class=${b()}>
          <div
            class=${v()}
            style=${B({
      width: `${+this.value / +this.maxValue * 100}%`
    })}
          ></div>
        </div>
        ${w()}
      </div>
    `;
  }
};
e.host = L`
    :host {
      display: block;
      width: 100%;
    }
  `;
e.styles = [...f.styles, A(e.host)];
s([
  r({ type: String })
], e.prototype, "size", 2);
s([
  r({ type: String })
], e.prototype, "label", 2);
s([
  r({ type: String })
], e.prototype, "caption", 2);
s([
  r({ type: Boolean, converter: (t) => t != "false" })
], e.prototype, "error", 2);
s([
  r({ type: String })
], e.prototype, "status", 2);
s([
  r({ type: Boolean, reflect: !0, attribute: "status-icon" })
], e.prototype, "statusIcon", 2);
s([
  r({ type: Number, attribute: "max-value" })
], e.prototype, "maxValue", 2);
s([
  r({ type: Boolean })
], e.prototype, "indeterminate", 2);
s([
  r({ type: Boolean, converter: (t) => t != "false", attribute: "show-percent" })
], e.prototype, "showPercent", 2);
s([
  r({ type: Boolean, converter: (t) => t != "false", attribute: "show-step" })
], e.prototype, "showStep", 2);
e = s([
  V("plus-progress")
], e);
export {
  e as ProgressComponent
};
