import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export declare class RadioComponent extends PlusBase {
    radio: HTMLInputElement;
    size: "sm" | "md" | "lg";
    text: string;
    checked: boolean;
    error: boolean;
    hasFocus: boolean;
    private handleClick;
    private handleFocus;
    private handleBlur;
    render(): TemplateResult;
}

export { }
