import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export declare class RatingComponent extends PlusBase {
    static host: CSSResult;
    static styles: CSSResult[];
    kind: "default" | "icon" | "face";
    status: "default" | "primary" | "custom";
    size: "sm" | "md" | "lg";
    emptyIcon: string;
    icon: string;
    max: number;
    step: number;
    defaultValue: number;
    value: number;
    hoveredValue: number;
    half: boolean;
    name: string;
    hasFocus: boolean;
    calculateSelectedWidth(index: number, half?: boolean, val?: number): string;
    hoveredWidth(index: number): string;
    handleSelect: (value: number) => () => void;
    render(): TemplateResult;
}

export { }
