import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { PropertyValueMap } from 'lit';
import { TemplateResult } from 'lit-html';

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export declare class TabGroupComponent extends PlusBase {
    static styles: CSSResult[];
    tabGroup: HTMLDivElement;
    tabSlot: HTMLSlotElement;
    panelSlot: HTMLSlotElement;
    size: "sm" | "md" | "lg";
    orientation: "vertical" | "horizontal";
    disabled: boolean;
    dismiss: boolean;
    private get tabItems();
    private get panelItems();
    protected handleSlotChange(): void;
    protected updated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    handleClickItem({ target }: Event): void;
    handleDismiss(): ({ target }: Event) => void;
    render(): TemplateResult;
}

export { }
