import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

declare class BadgeComponent extends PlusBase {
    kind: "dot" | "text";
    status: "success" | "warning" | "error" | "info" | "default";
    size: "sm" | "md" | "lg";
    invert: boolean;
    content: string;
    orientation: "top-left" | "top-right" | "bottom-left" | "bottom-right";
    offset: [string, string];
    render(): TemplateResult<1>;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export declare class TabComponent extends PlusBase {
    static styles: CSSResult[];
    size: "sm" | "md" | "lg";
    active: boolean;
    orientation: "vertical" | "horizontal";
    prefixIcon: string;
    badge: boolean;
    badgeStatus: BadgeComponent["status"];
    badgeSize: BadgeComponent["size"];
    badgeInvert: boolean;
    badgeContent: string;
    truncated: boolean;
    dismiss: boolean;
    isRemoved: boolean;
    constructor();
    handleDismiss(e: any): void;
    render(): TemplateResult;
}

export { }
