import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export declare class TextComponent extends PlusBase {
    static styles: CSSResult[];
    kind: "default" | "placeholder" | "caption";
    status: "default" | "success" | "warning" | "error" | "info";
    underline: boolean;
    overline: boolean;
    lineThrough: boolean;
    highlight: boolean;
    strong: boolean;
    italic: boolean;
    textTransform?: "uppercase" | "lowercase" | "capitalize";
    code: boolean;
    truncate: boolean;
    blockquote: boolean;
    size: string;
    type: string;
    truncated: boolean;
    textDecoration(): {
        "text-decoration"?: undefined;
    } | {
        "text-decoration": string;
    };
    render(): TemplateResult;
}

export { }
