import { P as T, x as c, A as u, n as o } from "./plus-base-e7996bf1.mjs";
import { e as z } from "./custom-element-eaccb8d2.mjs";
import { t as f } from "./state-2ae42527.mjs";
import { i as B } from "./query-38c9d424.mjs";
import I from "./plus.js";
import { s as O } from "./index-975d3293.mjs";
const P = O({
  slots: {
    base: [
      "plus-toast-class font-sans antialiased flex flex-row items-center justify-between border border-solid border-transparent rounded-lg font-medium w-full max-w-2xl transition duration-300 ease-in-out transform scale-95 shadow-lg"
    ],
    iconClass: ["plus-toast__icon"],
    messageClass: ["plus-toast__message flex items-center font-normal text-color-default"],
    closeClass: [
      "plus-toast__close cursor-pointer relative",
      // Clicking area
      "before:absolute before:inset-0 before:z-10",
      "before:rounded-full before:cursor-pointer before:bg-transparent before:content-['']",
      "before:w-10 before:h-10 before:-top-1.5 before:-left-3 before:z-10"
    ],
    toastContainer: ["plus-toast-container fixed z-50"],
    contentClass: "flex flex-col",
    titleClass: "font-medium text-color-default",
    footerClass: "flex flex-row items-center justify-end gap-2",
    containerClass: "plus-toast-container flex flex-row items-baseline justify-center flex-1"
  },
  variants: {
    size: {
      sm: {
        base: ["p-3"],
        containerClass: "gap-2.5",
        messageClass: "text-sm",
        titleClass: "text-base",
        contentClass: "gap-2"
      },
      md: {
        base: ["p-3.5"],
        containerClass: "gap-3",
        titleClass: "text-lg",
        messageClass: "text-base",
        contentClass: "gap-2.5"
      },
      lg: {
        base: ["p-4"],
        containerClass: "gap-3.5",
        messageClass: "text-lg",
        titleClass: "text-xl",
        contentClass: "gap-3"
      }
    },
    kind: {
      filled: [],
      outlined: []
    },
    status: {
      success: {
        base: ["bg-color-invert-success text-color-default"],
        iconClass: ["text-color-success"]
      },
      warning: {
        base: ["bg-color-invert-warning text-color-default"],
        iconClass: ["text-color-warning"]
      },
      error: {
        base: ["bg-color-invert-error text-color-default"],
        iconClass: ["text-color-error"]
      },
      info: {
        base: ["bg-color-invert-info text-color-default"],
        iconClass: ["text-color-info"]
      },
      default: {
        base: ["bg-color-default text-color-default"]
      }
    },
    invert: {
      true: [],
      false: []
    },
    placement: {
      "top-start": {},
      "top-end": {},
      top: {},
      "bottom-start": {},
      "bottom-end": {},
      bottom: {},
      "left-start": {},
      "left-end": {},
      left: {},
      "right-start": {},
      "right-end": {},
      right: {}
    }
  },
  compoundVariants: [],
  defaultVariants: {
    size: "md",
    kind: "filled",
    status: "default",
    invert: !1,
    placement: "top-start"
  }
});
var k = Object.defineProperty, j = Object.getOwnPropertyDescriptor, s = (t, n, p, i) => {
  for (var a = i > 1 ? void 0 : i ? j(n, p) : n, r = t.length - 1, l; r >= 0; r--)
    (l = t[r]) && (a = (i ? l(n, p, a) : l(a)) || a);
  return i && a && k(n, p, a), a;
};
let e = class extends T {
  constructor() {
    super(...arguments), this.size = I.Sizes.md, this.kind = "filled", this.placement = "top-start", this.status = "default", this.invert = !0, this.dismiss = !0, this.actionButtons = !1, this.statusIcon = !0, this.duration = 3e3, this.position = "top-right", this.cancelText = "Cancel", this.applyText = "Apply", this._icon = "";
  }
  set icon(t) {
    this._icon = t;
  }
  get icon() {
    const t = {
      info: "fa-solid fa-circle-info",
      success: "fa-solid fa-circle-check",
      warning: "fa-solid fa-triangle-exclamation",
      error: "fa-solid fa-circle-exclamation"
    };
    return this._icon ? this._icon : this.statusIcon ? t[this.status] : void 0;
  }
  firstUpdated(t) {
    super.firstUpdated(t);
  }
  async show() {
    const t = this.toastContainer();
    t ? (this.toast.style.display = "block", t.appendChild(this), this.timeOutId = setTimeout(() => {
      this.toast.style.display = "none";
    }, this.duration)) : (this.createToastContainer(), this.show());
  }
  createToastContainer() {
    const t = document.createElement("plus-toast-container");
    t.setAttribute("position", this.position), t.setAttribute("id", "plus-toast-container-" + this.position), document.body.appendChild(t);
  }
  toastContainer() {
    return document.getElementById("plus-toast-container-" + this.position);
  }
  mouseEnter() {
    clearTimeout(this.timeOutId);
  }
  mouseLeave() {
    this.timeOutId = setTimeout(() => {
      this.toast.style.display = "none";
    }, this.duration);
  }
  close() {
    this.emit("on-close"), this.toast.style.display = "none";
  }
  apply() {
    this.emit("on-apply");
  }
  render() {
    const { size: t, invert: n, kind: p, status: i, placement: a, message: r, icon: l, actionButtons: m, dismiss: h, header: d, cancelText: y, applyText: b } = this, { base: g, iconClass: x, messageClass: v, closeClass: C, contentClass: $, titleClass: _, footerClass: w, containerClass: S } = P({ size: t, kind: p, status: i, invert: n, placement: a });
    return c`
      <div class=${g()} id=${"toast-" + this.id} style=${"display:none"} @mouseenter=${this.mouseEnter} @mouseleave=${this.mouseLeave}>
        <div class=${S()}>
          ${l ? c`<i class=${x() + " fa " + l}></i>` : ""}
          <div class=${$()}>
            ${d ? c`<div class=${_()}>${d}</div>` : u} ${r ? c`<div class=${v()}>${r}</div>` : u}
            ${m ? c`
                  <div class=${w()}>
                    <plus-button .size=${t} kind="text" @plus-click=${() => this.close()}>${y}</plus-button>
                    <plus-button .size=${t} invert=${i === "default"} status=${i == "default" ? "invert" : i} @plus-click=${() => this.apply()}
                      >${b}</plus-button
                    >
                  </div>
                ` : u}
          </div>
          ${h ? c` <div class=${C()} @click=${this.close}><i class="fa fa-solid fa-times"></i></div> ` : u}
        </div>
      </div>
    `;
  }
};
s([
  B(".plus-toast-class")
], e.prototype, "toast", 2);
s([
  o({ type: String })
], e.prototype, "size", 2);
s([
  o({ type: String })
], e.prototype, "kind", 2);
s([
  o({ type: String })
], e.prototype, "placement", 2);
s([
  o({ type: String })
], e.prototype, "status", 2);
s([
  o({ type: Boolean, converter: (t) => t != "false" })
], e.prototype, "invert", 2);
s([
  o({ type: Boolean, converter: (t) => t != "false" })
], e.prototype, "dismiss", 2);
s([
  o({ type: Boolean, attribute: "action-buttons", converter: (t) => t != "false" })
], e.prototype, "actionButtons", 2);
s([
  o({ type: Boolean, converter: (t) => t != "false" })
], e.prototype, "statusIcon", 2);
s([
  o({ type: Number })
], e.prototype, "duration", 2);
s([
  o({ type: String })
], e.prototype, "position", 2);
s([
  o({ type: String })
], e.prototype, "message", 2);
s([
  o({ type: String })
], e.prototype, "header", 2);
s([
  o({ type: String })
], e.prototype, "cancelText", 2);
s([
  o({ type: String })
], e.prototype, "applyText", 2);
s([
  f()
], e.prototype, "_icon", 2);
s([
  o({ type: String })
], e.prototype, "icon", 1);
s([
  f()
], e.prototype, "timeOutId", 2);
e = s([
  z("plus-toast")
], e);
export {
  e as ToastComponent
};
