import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export declare class ToggleComponent extends PlusBase {
    static styles: CSSResult[];
    input: HTMLInputElement;
    private hasFocus;
    name: string;
    value: string;
    checked: boolean;
    size: "sm" | "md" | "lg";
    label?: string;
    text?: string;
    alignment: "left" | "right";
    toggleIcon?: string;
    toggleActiveIcon?: string;
    toggleInActiveIcon?: string;
    caption?: string;
    error: boolean;
    private handleBlur;
    private handleInput;
    private handleInvalid;
    private handleClick;
    private handleFocus;
    private handleKeyDown;
    click(): void;
    focus(options?: FocusOptions): void;
    blur(): void;
    getToggleIcon(): "" | TemplateResult;
    render(): TemplateResult;
}

export { }
